LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Functions | Variables
lirc_options.h File Reference
Internal API

### (dad0c0a 2015-02-09 13:36:06 +0100)

Options management: options file, parse and retrieve. More...

`#include "lirc_log.h"`
`#include "ciniparser.h"`

Go to the source code of this file.

## Functions
void | options_set_opt (const char *key, const char *value)
loglevel_t | options_set_loglevel (const char *optarg)
const char * | options_getstring (const char *const key)
int | options_getint (const char *const key)
int | options_getboolean (const char *const key)
void | options_add_defaults (const char *const defaults[])
void | options_load (int argc, char **const argv, const char *options_file, void(*options_load)(int, char **const))
void | options_unload (void)

## Variables
dictionary * | lirc_options

## Detailed Description

Options management: options file, parse and retrieve.

Definition in file lirc_options.h.

## Function Documentation

loglevel_t options_set_loglevel | ( | const char * | optarg | ) |

Parse and store a loglevel, returning value (possibly LIRC_BADLEVEL).

Definition at line 38 of file lirc_options.c.